edu.northwestern.at.morphadorner

## Class WordAttributePatterns

- java.lang.Object
- - edu.northwestern.at.morphadorner.WordAttributePatterns

-     public class WordAttributePatterns
      extends java.lang.Object

  MorphAdorner word attribute patterns.

  This class provides patterns for matching some of the MorphAdorner word attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ATTRS`
    `static int` | `IDLEFT`
    `static java.lang.String` | `idPattern` ID pattern.
    `static PatternReplacer` | `idReplacer` ID replacement.
    `static int` | `IDRIGHT`
    `static int` | `IDVALUE`
    `static int` | `LEFT` Matcher groups for w.
    `static int` | `PATHLEFT`
    `static java.lang.String` | `pathPattern` path pattern.
    `static PatternReplacer` | `pathReplacer` path replacement.
    `static int` | `PATHRIGHT`
    `static int` | `PATHVALUE`
    `static int` | `RIGHT`
    `static int` | `WORD`
    `static java.lang.String` | `wPattern` tag pattern.
    `static PatternReplacer` | `wReplacer` tag replacement.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordAttributePatterns()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wPattern

          public static java.lang.String wPattern

      tag pattern.

    - #### wReplacer

          public static PatternReplacer wReplacer

      tag replacement.

    - #### LEFT

          public static final int LEFT

      Matcher groups for w.
      See Also:
        Constant Field Values

    - #### ATTRS

          public static final int ATTRS

      See Also:
        Constant Field Values

    - #### WORD

          public static final int WORD

      See Also:
        Constant Field Values

    - #### RIGHT

          public static final int RIGHT

      See Also:
        Constant Field Values

    - #### idPattern

          public static java.lang.String idPattern

      ID pattern.

    - #### IDLEFT

          public static final int IDLEFT

      See Also:
        Constant Field Values

    - #### IDVALUE

          public static final int IDVALUE

      See Also:
        Constant Field Values

    - #### IDRIGHT

          public static final int IDRIGHT

      See Also:
        Constant Field Values

    - #### idReplacer

          public static PatternReplacer idReplacer

      ID replacement.

    - #### pathPattern

          public static java.lang.String pathPattern

      path pattern.

    - #### PATHLEFT

          public static final int PATHLEFT

      See Also:
        Constant Field Values

    - #### PATHVALUE

          public static final int PATHVALUE

      See Also:
        Constant Field Values

    - #### PATHRIGHT

          public static final int PATHRIGHT

      See Also:
        Constant Field Values

    - #### pathReplacer

          public static PatternReplacer pathReplacer

      path replacement.

  - ### Constructor Detail

    - #### WordAttributePatterns

          public WordAttributePatterns()